"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AWS = require("aws-sdk");
const check_jobs_1 = require("./check-jobs");
/* Lock to us-west-2 */
AWS.config.region = 'us-west-2';
/* Lock the known API versions to avoid future problems */
AWS.config.apiVersions = {
    ec2: '2016-11-15',
    s3: '2016-03-01'
};
exports.handler = async (request, context) => {
    console.log('\nRequest: ', JSON.stringify(request, null, 2));
    const lambda = new check_jobs_1.CheckJobs();
    return await lambda.getInstances()
        .catch((error) => {
        console.log(`Error:\n ${error.message} \n ${error.stack}`);
        return {
            status: 'error',
            message: error.message
        };
    });
};
